## mx4j.tools.stats
Interface ValueStatisticsRecorderMBean

All Superinterfaces:
  StatisticsRecorderMBean

All Known Implementing Classes:
  ValueStatisticsRecorder

public interface ValueStatisticsRecorderMBean
extends StatisticsRecorderMBean

Management interface for the ValueStatisticsRecorder MBean.

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.Number` `getValue()` Returns the recorded value
`void` `setValue(java.lang.Number value)` Sets the value to be recorded

Methods inherited from interface mx4j.tools.stats.StatisticsRecorderMBean
`getAverage, getEntries, getMax, getMaxEntries, getMin, getRecordingStart, isActive, setMaxEntries, start, stop`

Method Detail

### setValue

    public void setValue(java.lang.Number value)

  Sets the value to be recorded

### getValue

    public java.lang.Number getValue()

  Returns the recorded value

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.